wxWidgets: wxBufferedInputStream Class Reference

| Version: 3.1.5

Loading...
Searching...
No Matches
Public Member Functions | List of all members
wxBufferedInputStream Class Reference
Class List by Category » Streams

`#include </cygdrive/c/Users/Hamis/Cygwin-packaging/wxWidgets3.1/wxWidgets3.1-3.1.5-4.x86_64/src/wxWidgets-3.1.5/interface/wx/stream.h>`

Inheritance diagram for wxBufferedInputStream:
[legend]

## Detailed Description

This stream acts as a cache.

It caches the bytes read from the specified input stream (see wxFilterInputStream). It uses wxStreamBuffer and sets the default in-buffer size to 1024 bytes. This class may not be used without some other stream to read the data from (such as a file stream or a memory stream).

##

Library: wxBase

<>< =''>:</>&;&;< =''>\ </></>

See also
  wxStreamBuffer, wxInputStream, wxBufferedOutputStream

## Public Member Functions
| wxBufferedInputStream (wxInputStream &stream, wxStreamBuffer *buffer=NULL)
| Constructor using the provided buffer or default.
| wxBufferedInputStream (wxInputStream &stream, size_t bufsize)
| Constructor allowing to specify the size of the buffer.
virtual | ~wxBufferedInputStream ()
| Destructor.
Public Member Functions inherited from wxFilterInputStream
| wxFilterInputStream (wxInputStream &stream)
| Initializes a "filter" stream.
| wxFilterInputStream (wxInputStream *stream)
Public Member Functions inherited from wxInputStream
| wxInputStream ()
| Creates a dummy input stream.
virtual | ~wxInputStream ()
| Destructor.
virtual bool | CanRead () const
| Returns true if some data is available in the stream right now, so that calling Read() wouldn't block.
virtual bool | Eof () const
| Returns true after an attempt has been made to read past the end of the stream.
int | GetC ()
| Returns the first character in the input queue and removes it, blocking until it appears if necessary.
virtual size_t | LastRead () const
| Returns the last number of bytes read.
virtual char | Peek ()
| Returns the first character in the input queue without removing it.
virtual wxInputStream & | Read (void *buffer, size_t size)
| Reads the specified amount of bytes and stores the data in buffer.
wxInputStream & | Read (wxOutputStream &stream_out)
| Reads data from the input queue and stores it in the specified output stream.
bool | ReadAll (void *buffer, size_t size)
| Reads exactly the specified number of bytes into the buffer.
virtual wxFileOffset | SeekI (wxFileOffset pos, wxSeekMode mode=wxFromStart)
| Changes the stream current position.
virtual wxFileOffset | TellI () const
| Returns the current stream position or wxInvalidOffset if it's not available (e.g.
size_t | Ungetch (const void *buffer, size_t size)
| This function is only useful in read mode.
bool | Ungetch (char c)
| This function acts like the previous one except that it takes only one character: it is sometimes shorter to use than the generic function.
Public Member Functions inherited from wxStreamBase
| wxStreamBase ()
| Creates a dummy stream object.
virtual | ~wxStreamBase ()
| Destructor.
wxStreamError | GetLastError () const
| This function returns the last error.
virtual wxFileOffset | GetLength () const
| Returns the length of the stream in bytes.
virtual size_t | GetSize () const
| This function returns the size of the stream.
virtual bool | IsOk () const
| Returns true if no error occurred on the stream.
virtual bool | IsSeekable () const
| Returns true if the stream supports seeking to arbitrary offsets.
void | Reset (wxStreamError error=wxSTREAM_NO_ERROR)
| Resets the stream state.
bool | operator! () const
| Returns the opposite of IsOk().

## Additional Inherited Members
Protected Member Functions inherited from wxInputStream
size_t | OnSysRead (void *buffer, size_t bufsize)=0
| Internal function.
Protected Member Functions inherited from wxStreamBase
virtual wxFileOffset | OnSysSeek (wxFileOffset pos, wxSeekMode mode)
| Internal function.
virtual wxFileOffset | OnSysTell () const
| Internal function.

## Constructor & Destructor Documentation

## ◆ wxBufferedInputStream() [1/2]

wxBufferedInputStream::wxBufferedInputStream | ( | wxInputStream & | stream,
|  | wxStreamBuffer * | buffer = NULL )

Constructor using the provided buffer or default.

Parameters

  stream | The associated low-level stream.
  buffer | The buffer to use if non-NULL. Notice that the ownership of this buffer is taken by the stream, i.e. it will delete it. If this parameter is NULL a default 1KB buffer is used.

## ◆ wxBufferedInputStream() [2/2]

wxBufferedInputStream::wxBufferedInputStream | ( | wxInputStream & | stream,
|  | size_t | bufsize )

Constructor allowing to specify the size of the buffer.

This is just a more convenient alternative to creating a wxStreamBuffer of the given size and using the other overloaded constructor of this class.

Parameters

  stream | The associated low-level stream.
  bufsize | The size of the buffer, in bytes.

Since
  2.9.0

## ◆ ~wxBufferedInputStream()

virtual wxBufferedInputStream::~wxBufferedInputStream | ( |  | ) |
| virtual

Destructor.